# Class: VolumeData

## $3Dmol. VolumeData

#### new VolumeData(str, format, options)

  $3Dmol.VolumeData stores volumetric data. This includes file parsing
  functionality.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `str` | string | volumetric data
  `format` | string | format of supplied data (cube, dx, vasp); append .gz if compressed
  `options` | Object | normalize (zero mean, unit variance), negate

### Methods

#### <static> getIndex(x,y,z)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `x,y,z` | number | the coordinates

  ##### Returns:

  - index into flat array closest to provided coordinate; -1 if invalid

#### <static> getVal(x,y,z)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `x,y,z` | number | the coordinates

  ##### Returns:

  - value closest to provided coordinate; zero if coordinate invalid